PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::gain::freecarrier::FreeCarrierGainSolver3D::DataBase< DT >::AveragedData Struct Reference
Collaboration diagram for plask::gain::freecarrier::FreeCarrierGainSolver3D::DataBase< DT >::AveragedData:
[legend]

## Public Member Functions
| AveragedData (const FreeCarrierGainSolver3D *solver, const char *name, const shared_ptr< MeshD< 2 > > &lateral, const ActiveRegionInfo &region)
size_t | size () const
double | operator[] (size_t i) const

## Public Attributes
shared_ptr< MultiLateralMesh3D< MeshD< 2 > > > | mesh
LazyData< double > | data
double | factor
const FreeCarrierGainSolver3D * | solver
const char * | name

## Detailed Description

template<typename DT>
struct plask::gain::freecarrier::FreeCarrierGainSolver3D::DataBase< DT >::AveragedData

Definition at line 181 of file freecarrier3d.cpp.

## Constructor & Destructor Documentation

## ◆ AveragedData()

template<typename DT >

plask::gain::freecarrier::FreeCarrierGainSolver3D::DataBase< DT >::AveragedData::AveragedData | ( | const FreeCarrierGainSolver3D * | solver,
|  | const char * | name,
|  | const shared_ptr< MeshD< 2 > > & | lateral,
|  | const ActiveRegionInfo & | region
| ) |  |
| inline

Definition at line 188 of file freecarrier3d.cpp.

## Member Function Documentation

## ◆ operator[]()

template<typename DT >

double plask::gain::freecarrier::FreeCarrierGainSolver3D::DataBase< DT >::AveragedData::operator[] | ( | size_t | i | ) | const
| inline

Definition at line 207 of file freecarrier3d.cpp.

## ◆ size()

template<typename DT >

size_t plask::gain::freecarrier::FreeCarrierGainSolver3D::DataBase< DT >::AveragedData::size | ( |  | ) | const
| inline

Definition at line 205 of file freecarrier3d.cpp.

## Member Data Documentation

## ◆ data

template<typename DT >

LazyData<double> plask::gain::freecarrier::FreeCarrierGainSolver3D::DataBase< DT >::AveragedData::data

Definition at line 183 of file freecarrier3d.cpp.

## ◆ factor

template<typename DT >

double plask::gain::freecarrier::FreeCarrierGainSolver3D::DataBase< DT >::AveragedData::factor

Definition at line 184 of file freecarrier3d.cpp.

## ◆ mesh

template<typename DT >

shared_ptr<MultiLateralMesh3D<MeshD<2> > > plask::gain::freecarrier::FreeCarrierGainSolver3D::DataBase< DT >::AveragedData::mesh

Definition at line 182 of file freecarrier3d.cpp.

## ◆ name

template<typename DT >

const char* plask::gain::freecarrier::FreeCarrierGainSolver3D::DataBase< DT >::AveragedData::name

Definition at line 186 of file freecarrier3d.cpp.

## ◆ solver

template<typename DT >

const FreeCarrierGainSolver3D* plask::gain::freecarrier::FreeCarrierGainSolver3D::DataBase< DT >::AveragedData::solver

Definition at line 185 of file freecarrier3d.cpp.

The documentation for this struct was generated from the following file:

- solvers/gain/freecarrier/freecarrier3d.cpp